// Fonts
@import url('https://fonts.googleapis.com/css?family=Nunito');

// Variables
@import 'variables';

// Bootstrap
@import '~bootstrap/scss/bootstrap';

@import 'node_modules/bootstrap/scss/bootstrap.scss';
@import 'node_modules/bootstrap-vue/src/index.scss';

@media (min-width: 768px) {
    .navbar-container {
        position: sticky;
        top: 0;
        overflow-y: auto;
        height: 100vh;
    }
    .navbar-container .navbar {
        align-items: flex-start;
        justify-content: flex-start;
        flex-wrap: nowrap;
        flex-direction: column;
        height: 100%;
    }
    .navbar-container .navbar-collapse {
        align-items: flex-start;
    }
    .navbar-container .nav {
        flex-direction: column;
        flex-wrap: nowrap;
    }
    .navbar-container .navbar-nav {
        flex-direction: column !important;
    }
}

.button {

    --offset: 10px;
    --border-size: 2px;

    display: block;
    position: inherit;
    text-align: center;
    padding: 1.5px 3px;
    appearance: none;
    border: 0;
    background: transparent;
    color: #ffd53d;
    text-transform: uppercase;
    letter-spacing: .25em;
    outline: none;
    cursor: pointer;
    font-weight: bold;
    border-radius: 0;
    box-shadow: inset 0 0 0 var(--border-size) currentcolor;
    transition: background .8s ease;

    &:hover {
        background: rgba(100, 0, 0, .03);
    }

    &__horizontal,
    &__vertical {
        position: absolute;
        top: var(--horizontal-offset, 0);
        right: var(--vertical-offset, 0);
        bottom: var(--horizontal-offset, 0);
        left: var(--vertical-offset, 0);
        transition: transform .8s ease;
        will-change: transform;

        &::before {
            content: '';
            position: absolute;
            border: inherit;
        }
    }

    &__horizontal {
        --vertical-offset: calc(var(--offset) * -1);
        border-top: var(--border-size) solid currentcolor;
        border-bottom: var(--border-size) solid currentcolor;

        &::before {
            top: calc(var(--vertical-offset) - var(--border-size));
            bottom: calc(var(--vertical-offset) - var(--border-size));
            left: calc(var(--vertical-offset) * -1);
            right: calc(var(--vertical-offset) * -1);
        }
    }

    &:hover &__horizontal {
        transform: scaleX(0);
    }

    &__vertical {
        --horizontal-offset: calc(var(--offset) * -1);
        border-left: var(--border-size) solid currentcolor;
        border-right: var(--border-size) solid currentcolor;

        &::before {
            top: calc(var(--horizontal-offset) * -1);
            bottom: calc(var(--horizontal-offset) * -1);
            left: calc(var(--horizontal-offset) - var(--border-size));
            right: calc(var(--horizontal-offset) - var(--border-size));
        }
    }

    &:hover &__vertical {
        transform: scaleY(0);
    }

}


@media screen and (-webkit-min-device-pixel-ratio:0) {
    input[type='range'] {
        overflow: hidden;
        width: 700px;
        -webkit-appearance: none;
        background-color: lightgrey;
        border-radius:50px;
        cursor: pointer;
    }

    input[type='range']::-webkit-slider-runnable-track {
        height: 7px;
        -webkit-appearance: none;
        color: red;
        border-radius:90px;
    }

    input[type='range']::-webkit-slider-thumb {
        width: 5px;
        height: 15px;
        -webkit-appearance: none;
        cursor: pointer;
        border-radius:20px;
        background-color: black;
        box-shadow: -700px 0 0 700px black, 0 0 0 0 black;
    }

}
/** FF*/
input[type="range"]::-moz-range-progress {
    background-color: #43e5f7;
}
input[type="range"]::-moz-range-track {
    background-color: #9a905d;
}
/* IE*/
input[type="range"]::-ms-fill-lower {
    background-color: #43e5f7;
}
input[type="range"]::-ms-fill-upper {
    background-color: #9a905d;
}


.fade-enter-active,
.fade-leave-active {
    transition: opacity 0.5s ease;
}

.fade-enter-from,
.fade-leave-to {
    opacity: 0;
}

.navigation {
    margin-bottom: 10px;
    -webkit-transform: scale(1.0);
    -ms-transform: scale(1.0);
    transform: scale(1.0);
    transition: all 200ms linear;
}

.navigation:hover {
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
    transition: all 200ms linear;
}

.search-input {
    border: none;
    outline: none;
    display: inline-block;
    height: 34px;
    vertical-align: middle;
    position: relative;
    bottom: 14px;
    right: 9px;
    border-radius: 22px;
    width: 220px;
    box-sizing: border-box;
    padding: 0 18px;
}

.search-button {
    display: inline-block;
    height: 34px;
    vertical-align: middle;
    position: relative;
    bottom: 14px;
    right: 9px;
    border-radius: 50%;
    width: 80px;
    box-sizing: border-box;
    padding: 0 28px;
    left: 30px;
}


.playIcon:hover {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    transition: all 200ms linear;
}
.pauseIcon:hover {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    transition: all 200ms linear;
}
.repeatIcon:hover {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    transition: all 200ms linear;
}
.randIcon:hover {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    transition: all 200ms linear;
}
.nextIcon, .prevIcon, .playIcon, .repeatIcon, .randIcon, .pauseIcon {
    -webkit-transform: scale(1.0);
    -ms-transform: scale(1.0);
    transform: scale(1.0);
    transition: all 200ms linear;
    cursor: pointer;
}
.nextIcon, .prevIcon{
    margin-top: 5px;
}
.playIcon, .pauseIcon {
    margin-top: 3px;
}
.repeatIcon, .randIcon {
    margin-top: 10px;
}
.controls-animation {

}


.marquee {
    width: 450px;
    margin: 0 auto;
    white-space: nowrap;
    overflow: hidden;
    box-sizing: border-box;
}
.marquee span {
    display: inline-block;
    padding-left: 100%;
    animation: marquee 10s linear infinite;
}
.marquee span:hover {
    animation-play-state: paused
}
@keyframes marquee {
    0%   { transform: translate(0, 0); }
    100% { transform: translate(-100%, 0); }
}


.home {
    overflow: auto;
    -ms-overflow-style: none;
}
.home::-webkit-scrollbar {
    width: 0;
    height: 0;
}


.playlist-bg {
    cursor: pointer;
    border-radius: 30px;
    -webkit-transform: scale(1.0);
    -ms-transform: scale(1.0);
    transform: scale(1.0);
    transition: all 200ms linear;
}
.playlist-bg:hover {
    -webkit-transform: scale(0.9);
    -ms-transform: scale(0.9);
    transform: scale(0.9);
    transition: all 200ms linear;
}


.add-to-playlist:hover {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    transition: all 200ms linear;
}


.slide-fade-enter-active, .fade-leave-active {
    transition: opacity 1.2s;
}
.slide-fade-enter, .fade-leave-to {
    opacity: 0;
}
@keyframes slide-fade-in {
    0% {
        transform: scale(0);
    }
    50% {
        transform: scale(1.5);
    }
    100% {
        transform: scale(1);
    }
}


.add-playlist {
    cursor: pointer;
}
.add-playlist:hover {
    -webkit-transform: scale(1.3);
    -ms-transform: scale(1.3);
    transform: scale(1.3);
    transition: all 200ms linear;
}
.add-playlist-form-enter-active {
    animation: add-playlist-form-in .5s;
}
.add-playlist-form-leave-active {
    animation: add-playlist-form-in .5s reverse;
}
@keyframes add-playlist-form-in {
    0% {
        transform: scale(0);
    }
    50% {
        transform: scale(1.5);
    }
    100% {
        transform: scale(1);
    }
}
